gnome-shell r165 - trunk/tools/build



Author: otaylor
Date: Tue Jan 27 16:55:39 2009
New Revision: 165
URL: http://svn.gnome.org/viewvc/gnome-shell?rev=165&view=rev

Log:
Improve gnome-shell-build-setup.sh for Fedora

- If lsb_release binary isn't present, look for /etc/fedora-release
- Check for required packages for Fedora and invoke
  gpk-install-package-name

Patch from Mads Villadsen.

Modified:
   trunk/tools/build/gnome-shell-build-setup.sh

Modified: trunk/tools/build/gnome-shell-build-setup.sh
==============================================================================
--- trunk/tools/build/gnome-shell-build-setup.sh	(original)
+++ trunk/tools/build/gnome-shell-build-setup.sh	Tue Jan 27 16:55:39 2009
@@ -47,7 +47,12 @@
     echo
 fi
 
-system=`lsb_release -is`
+if which lsb_release > /dev/null 2>&1; then
+  system=`lsb_release -is`
+elif [ -f /etc/fedora-release ] ; then
+  system=Fedora
+fi
+
 if test x$system = xUbuntu -o x$system = xDebian ; then
   reqd=""
   for pkg in build-essential automake gnome-common flex bison curl \
@@ -64,5 +69,19 @@
   fi
 fi
 
+if test x$system = xFedora ; then
+  reqd=""
+  for pkg in libffi-devel libXdamage-devel gnome-doc-utils xulrunner-devel \
+    librsvg2-devel libgnomeui-devel xterm xorg-x11-apps xorg-x11-server-Xephyr \
+    libwnck-devel; do
+      if ! rpm -q $pkg > /dev/null 2>&1; then
+        reqd="$pkg $reqd"
+      fi
+  done
+  if test ! "x$reqd" = x; then
+    gpk-install-package-name $reqd
+  fi
+fi
+
 echo "Done."
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]